Subject: Re: builtin shell commands in a Makefile -- cygwin32 vs regular GNU
From: [email-masked] (Thierry Parmentelat)

9 Jan 1998 09:58:15 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: Fergus Henderson <[email-masked]>
Cc: Thierry Parmentelat <[email-masked]>,
        Cygnus GNU-win32 mailing list <[email-masked]>

In message <[email-masked]>, Fergus Henderson writes:
>Well, at a guess, try including
>
>	SHELL=/bin/sh.exe
>
>in your Makefile.

thanks for the hint, but unfortunately it did not help

>> I created a shared partition on a samba box, say \\samba\nt95\
>> In this zone I installed
>> 	*) usertools-b18
>> 	*) make-3.76 compiled from the prep.ai.mit.edu distribution
>> 	   with VC++
>
>Why?  Why not use the make in gnu-win32 b18?
>
>If for some reason you do need make-3.76, you might get better results
>if you compile it with gnu-win32 rather than VC++.

The first reason for this is that cdk, including gcc and whatnot,
is probably great. But my code has to work with vc++. If it works
with gcc too, well, just great. But my managers want it to be
compiled, and shipped, with vc++. In fact we develop on Unix, 
and just port on Windows. 
So what we need is actually very basic: 
*) make (preferably the same version as the one used on unix), 
*) and a c++ compiler suite, here vc++.
and that's it. 

The second reason is that within this context the full cdk seemed a bit,
er, huge, to download with my poor regular phone connection.
Furthermore I like to use the same version of a given tool on all 
platforms, (I work on 5 flavors of unix, besides the new Windows port
currently under progress). 
And I did not know what version of make was shipped with the cygwin32 cdk
distribution. So I chose the most recent one, and was happy to see it 
was compilable on the pc platform in a somewhat natural way.

This raises a wider matter: what is the policy of cygwin32, in terms
of convergence/divergence with the initial GNU tools ?
I mean, will the patches made by the cygwin32 team on a given gnu tool,
be incorporated in the standard (MIT) distribution one day ?

I understand it is more convenient for cygnus to handle a complete
set of tools, but for guys like me who need only a (potentially very)
small part of the whole rot, it would be great if we could pick it
on its own somewhere.

The cygwin32 usertools distribution turns out to be 
*very* helpful anyway.
I just mention all this with the hope it will help you 
understanding *one* ``user'' point of view.

____________________________________________________________

	  Thierry Parmentelat, Ixi, Espace Beethoven, 
               Route des Lucioles, 06560 Valbonne
         Tél. (33) 493 653 024 -- Fax. (33) 493 652 673
____________________________________________________________

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".